ARG BASE_IMAGE_NAME
ARG BASE_IMAGE_TAG

FROM $BASE_IMAGE_NAME:$BASE_IMAGE_TAG

ARG BASE_IMAGE_NAME
ARG BASE_IMAGE_TAG

ENV NAME=$BASE_IMAGE_NAME:$BASE_IMAGE_TAG

ENTRYPOINT [ "/bin/sh", "-c" ]
CMD [ "echo Hello to $NAME!" ]